Package tools

## Class Directories

- java.lang.Object
- - tools.Directories

-     public class Directories
      extends java.lang.Object

  Helper to get application directories.
  Version:
    1.0
  Author:
    Louis Royer, Flavien Haas, JS Auge

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Directories​(java.lang.String projectName)` | Constructor with projectName parameter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `askOpenDataHomeDirectory()` | Asks the user to choose opening dataHomeDirectory or not.
    `java.lang.String` | `getDataHomeDirectory()` | Getter for dataHomeDirectory.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Directories

          public Directories​(java.lang.String projectName)

      Constructor with projectName parameter.
      Parameters:
        `projectName` - name of the project

  - ### Method Detail

    - #### getDataHomeDirectory

          public java.lang.String getDataHomeDirectory()

      Getter for dataHomeDirectory.
      Returns:
        path to the application home directory

    - #### askOpenDataHomeDirectory

          public void askOpenDataHomeDirectory()

      Asks the user to choose opening dataHomeDirectory or not.